Subject: bug#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least

From: "Drew Adams" <[email-masked]>
Date: Fri, 15 Mar 2013 08:17:16 -0700

> > * The second time I type F11 (to restore the normal size), 
> I get [2].
> > The frame should be restored to its original size and 
> position, but as
> > you can see, that doesn't happen either (the original 
> position of the
> > emacs frame wasn't that).
> 
> This feature is not supported in the Windows build, because I couldn't
> find a way of doing that.  (There's a FIXME in w32fullscreen_hook to
> that effect.)  Patches to fix this are welcome.

FWIW, the frame-cmds.el code also correctly handles restoring size and position.

It does not do window-mgr maximization, however (which I guess requires C
changes?).  Its "maximizing" uses the available screen space and does not affect
the `Maximize' button of the window mgr.

(BTW, it also lets you maximize/restore only horizontally or only vertically, if
you want.)